package jrummikub.control.turn;

import jrummikub.util.Event;
import jrummikub.util.IEvent;

public interface ITurnControl {

	/**
	 * Start the turn
	 */
	public abstract void startTurn();

	/**
	 * Get the event that is emitted when the turn is over
	 * 
	 * @return end of turn event
	 */
	public abstract IEvent getEndOfTurnEvent();

	/**
	 * Emitted when the round is aborted and needs to be restarted
	 * 
	 * @return the event
	 */
	public abstract Event getRedealEvent();

}